=== debian/changelog ===
keystone-engine (0.9.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Jan 2025 12:29:15 +0100
