=== debian/control ===
Source: keystone-engine
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://www.keystone-engine.org
Vcs-Browser: https://gitlab.com/kalilinux/packages/keystone-engine
Vcs-Git: https://gitlab.com/kalilinux/packages/keystone-engine.git

Package: python3-keystone-engine
Architecture: any
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: lightweight assembler framework (Python 3)
 This package contains lightweight multi-platform, multi-architecture assembler
 framework. It offers some unparalleled features:
 .
   *  Multi-architecture, with support for Arm, Arm64 (AArch64/Armv8), Ethereum
      Virtual Machine, Hexagon, Mips, PowerPC, RISC-V, Sparc, SystemZ & X86
      (include 16/32/64bit)
   *  Clean/simple/lightweight/intuitive architecture-neutral API
   *  Implemented in C/C++ languages, with bindings for Java, Masm, C#,
      PowerShell, Perl, Python, NodeJS, Ruby, Go, Rust, Haskell, VB6 & OCaml
      available
   *  Native support for Windows & *nix (with Mac OSX, Linux, *BSD & Solaris confirmed)
   *  Thread-safe by design
 .
 This package installs the library for Python 3.
